How to install uploadprogress PHP extension for PHP 7.0 and PHP 7.1 supplied by Plesk?

Follow

Comments

2 comments

  • Avatar
    Robert

    how to install for more than one php version ?

    I get for php 5.6


    /opt/plesk/php/5.6/bin/php -m | grep uploadprogress
    PHP Warning: PHP Startup: Unable to load dynamic library '/opt/plesk/php/5.6/lib64/php/modules/uploadprogress.so' - /opt/plesk/php/5.6/lib64/php/modules/uploadprogress.so: undefined symbol: _emalloc_96 in Unknown on line 0

  • Avatar
    Alexandr Redikultsev

    Hi, @Robert.

    This is happening because module provided by git repo in the article is for PHP 7 only: https://github.com/Jan-E/uploadprogress 

    So you should find another module uploadprogress that will be applicable for PHP 5. You can can try using the one from pecl: https://pecl.php.net/package/uploadprogress 

Please sign in to leave a comment.

Have more questions? Submit a request